# Function getCompleteTransferNativeWithPayloadCpiAccounts

- getCompleteTransferNativeWithPayloadCpiAccounts(tokenBridgeProgramId, wormholeProgramId, payer, vaa, toTokenAccount): CompleteTransferNativeWithPayloadCpiAccounts

- Generate accounts needed to perform `complete_native_with_payload` instruction as cross-program invocation.

  Note: `toFeesTokenAccount` is the same as `toTokenAccount`. For your program, you only need to pass your `toTokenAccount` into the complete transfer instruction for the `toFeesTokenAccount`.

  #### Parameters

  - ##### tokenBridgeProgramId: PublicKeyInitData

  - ##### wormholeProgramId: PublicKeyInitData

  - ##### payer: PublicKeyInitData

  - ##### vaa: VAA<"TokenBridge:Transfer"> | VAA<"TokenBridge:TransferWithPayload">

  - ##### toTokenAccount: PublicKeyInitData

  #### Returns CompleteTransferNativeWithPayloadCpiAccounts

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/cpi.ts:341

Generated using TypeDoc